> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codecobra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List My Pending Invitations

> List pending invitations for the current signed-in user.



## OpenAPI

````yaml /openapi.json get /api/invitations/me/pending
openapi: 3.1.0
info:
  description: >-
    Public CodeCobra API. Authenticate by sending a personal API key in the
    `Authorization: Bearer <key>` header. Generate keys from Settings → API keys
    in the CodeCobra dashboard.
  title: CodeCobra Public API
  version: 1.0.0
servers: []
security: []
paths:
  /api/invitations/me/pending:
    get:
      tags:
        - public
      summary: List My Pending Invitations
      description: List pending invitations for the current signed-in user.
      operationId: list_my_pending_invitations_api_invitations_me_pending_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/InvitationResponse'
                title: >-
                  Response List My Pending Invitations Api Invitations Me
                  Pending Get
                type: array
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    InvitationResponse:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        email:
          title: Email
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
        id:
          format: uuid
          title: Id
          type: string
        invite_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Invite Link
        invited_by_name:
          default: ''
          title: Invited By Name
          type: string
        organization_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Color
        organization_icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Organization Icon
        organization_id:
          format: uuid
          title: Organization Id
          type: string
        organization_name:
          default: ''
          title: Organization Name
          type: string
        require_2fa_before_join:
          default: false
          title: Require 2Fa Before Join
          type: boolean
        role:
          title: Role
          type: string
        status:
          title: Status
          type: string
        token:
          anyOf:
            - type: string
            - type: 'null'
          title: Token
      required:
        - id
        - organization_id
        - email
        - role
        - status
        - created_at
        - expires_at
      title: InvitationResponse
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````